> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dashboard

> Create a new analytics dashboard.



## OpenAPI

````yaml post /analytics/dashboards
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards:
    post:
      tags:
        - provider
        - analytics
        - analytics
      summary: Create Dashboard
      description: Create a new analytics dashboard.
      operationId: create_dashboard_analytics_dashboards_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDashboardSchema'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsDashboardSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateDashboardSchema:
      properties:
        name:
          type: string
          maxLength: 255
          title: Name
          description: Name of the dashboard
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the dashboard
        layoutConfig:
          anyOf:
            - type: object
            - type: 'null'
          title: Layoutconfig
          description: Grid layout configuration
      type: object
      required:
        - name
      title: CreateDashboardSchema
      description: Schema for creating a new analytics dashboard.
    AnalyticsDashboardSchema:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the dashboard
        name:
          type: string
          title: Name
          description: Name of the dashboard
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the dashboard
        layoutConfig:
          anyOf:
            - type: object
            - type: 'null'
          title: Layoutconfig
          description: Grid layout configuration
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the dashboard is archived
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: When the dashboard was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the dashboard was last updated
      type: object
      required:
        - id
        - name
        - isArchived
        - createdDate
      title: AnalyticsDashboardSchema
      description: Schema for analytics dashboard response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````